# MPI_Comm_accept

## NAME

MPI_Comm_accept − Establishes communication with a client.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Comm_accept(char *port_name, MPI_Info info, int root, MPI_Comm comm, MPI_Comm *newcomm)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_COMM_ACCEPT(PORT_NAME, INFO, ROOT, COMM, NEWCOMM, IERROR)

| CHARACTER*(*) |  |  |  | PORT_NAME
| INTEGER |  |  |  | INFO, ROOT, COMM, NEWCOMM, IERROR

## C++ Syntax

#include <mpi.h>
MPI::Intercomm MPI::Intracomm::Accept(const char* port_name,

| const MPI::Info& info, int root) const

## INPUT PARAMETERS

| port_name |  | Port name (string, used only on root).
| info |  | Options given by root for the accept (handle, used only on root). No options currently supported.
| root |  | Rank in comm of root node (integer).
| comm |  | Intracommunicator over which call is collective (handle).

## OUTPUT PARAMETERS

| newcomm |  | Intercommunicator with client as remote group (handle)
| IERROR |  | Fortran only: Error status (integer).

## DESCRIPTION

MPI_Comm_accept establishes communication with a client. It is collective over the calling communicator. It returns an intercommunicator that allows communication with the client, after the client has connected with the MPI_Comm_accept function using the MPI_Comm_connect function.

The port_name must have been established through a call to MPI_Open_port on the root.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned.

See the MPI man page for a full list of MPI error codes.

## SEE ALSO

MPI_Comm_connect MPI_Open_port

MPI API Index